package com.github.gkutiel.flip.web;

import java.util.Map;

import com.github.gkutiel.flip.processor.pub.Response;
import com.google.gson.Gson;

public class JsonResponse implements Response {
	private static final Gson GSON = new Gson();

	@Override
	public byte[] getBytes(final Object obj) {
		return GSON.toJson(obj).getBytes();
	}

	@Override
	public String getMimeType() {
		return "application/json";
	}

	@Override
	public void setProps(final Map<String, String> props) {}
}
